summaryrefslogtreecommitdiff
path: root/app-misc/lcdproc/files/0.5.1-LCDd.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-misc/lcdproc/files/0.5.1-LCDd.initd
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-misc/lcdproc/files/0.5.1-LCDd.initd')
-rw-r--r--app-misc/lcdproc/files/0.5.1-LCDd.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/app-misc/lcdproc/files/0.5.1-LCDd.initd b/app-misc/lcdproc/files/0.5.1-LCDd.initd
new file mode 100644
index 000000000000..9cc32667eb94
--- /dev/null
+++ b/app-misc/lcdproc/files/0.5.1-LCDd.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use net
+ use g15daemon
+}
+
+start() {
+ ebegin "Starting LCDd"
+ start-stop-daemon --start --quiet -m --pidfile /var/run/LCDd.pid \
+ --background --exec /usr/sbin/LCDd -- -s 1 -f
+ eend $? "Failed to start LCDd. Did you remember to set a driver in /etc/LCDd.conf? See syslog for details."
+}
+
+stop() {
+ ebegin "Stopping LCDd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/LCDd.pid
+ eend $?
+}